import request from "@/utils/request";
import { Account_BaseUrl } from "@/api/config";
const baseURL = Account_BaseUrl + "/admin/shopShare";
const Api = {
  // 获取分享奖励配置
  get(params: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "get",
      params: params,
    });
  },
  update(data: any) {
    return request<any>({
      url: `${baseURL}`,
      method: "post",
      data
    });
  },
  // 分享奖励记录
  getRecord(params: any) {
    return request<any>({
      url: `${baseURL}/record`,
      method: "get",
      params: params,
    });
  },
};

export default Api;
